From d7c36b8f8689621de4662657801c2139b9d7ab1a Mon Sep 17 00:00:00 2001
From: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
Date: Sun, 5 Aug 2007 03:30:44 -0500
Subject: [PATCH] Declared attributes of void __mii_init(void) as an alias for int mii_init(void)

Signed-off-by: TsiChungLiew <Tsi-Chung.Liew@freescale.com>
---
 board/freescale/m5329evb/mii.c |    4 +++-
 drivers/net/mcffec.c           |    2 +-
 include/common.h               |    2 +-
 3 files changed, 5 insertions(+), 3 deletions(-)

diff --git a/board/freescale/m5329evb/mii.c b/board/freescale/m5329evb/mii.c
index 691b144..68dc04f 100644
--- a/board/freescale/m5329evb/mii.c
+++ b/board/freescale/m5329evb/mii.c
@@ -203,7 +203,9 @@ int mii_discover_phy(struct eth_device *dev)
 }
 #endif				/* CFG_DISCOVER_PHY */
 
-void mii_init(void)
+int mii_init(void) __attribute__((weak,alias("__mii_init")));
+
+void __mii_init(void)
 {
 	volatile fec_t *fecp;
 	struct fec_info_s *info;
diff --git a/drivers/net/mcffec.c b/drivers/net/mcffec.c
index 11f6721..fde1aae 100644
--- a/drivers/net/mcffec.c
+++ b/drivers/net/mcffec.c
@@ -101,7 +101,7 @@ void fec_reset(struct eth_device *dev);
 extern int fecpin_setclear(struct eth_device *dev, int setclear);
 
 #ifdef CFG_DISCOVER_PHY
-extern void mii_init(void);
+extern void __mii_init(void);
 extern uint mii_send(uint mii_cmd);
 extern int mii_discover_phy(struct eth_device *dev);
 extern int mcffec_miiphy_read(char *devname, unsigned char addr,
diff --git a/include/common.h b/include/common.h
index 23f9390..a1a3290 100644
--- a/include/common.h
+++ b/include/common.h
@@ -539,7 +539,7 @@ ulong	bootcount_load (void);
 #define BOOTCOUNT_MAGIC		0xB001C041
 
 /* $(CPU)/.../<eth> */
-void mii_init (void);
+/*void mii_init (void);*/
 
 /* $(CPU)/.../lcd.c */
 ulong	lcd_setmem (ulong);
-- 
1.5.2

